Package dev.plex.cache

# Class PlayerCache

java.lang.Object
dev.plex.cache.PlayerCache

public class PlayerCache extends Object
Cache storage

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final Map<UUID,PlexPlayer>`
`plexPlayerMap`
A key/value pair where the key is the unique ID of the Plex Player

## Constructor Summary

Constructors
Constructor
Description
`PlayerCache()`

## Method Summary

Modifier and Type
Method
Description
`PlexPlayer`
`getPlexPlayer(UUID uuid)`
`Map<UUID,PlexPlayer>`
`getPlexPlayerMap()`
A key/value pair where the key is the unique ID of the Punished Player

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### plexPlayerMap

private static final Map<UUID,PlexPlayer> plexPlayerMap
A key/value pair where the key is the unique ID of the Plex Player

## Constructor Details

### PlayerCache

public PlayerCache()

## Method Details

### getPlexPlayerMap

public Map<UUID,PlexPlayer> getPlexPlayerMap()
A key/value pair where the key is the unique ID of the Punished Player

### getPlexPlayer

public PlexPlayer getPlexPlayer(UUID uuid)